import QtQuick 2.4
import QtQuick.Extras 1.4

Item {
    id: item1
    width: 400
    height: 400
    property alias statusIndicatorB: statusIndicatorB
    property alias statusIndicatorG: statusIndicatorG
    property alias toggleButtonB: toggleButtonB
    property alias toggleButtonG: toggleButtonG
    property alias statusIndicatorR: statusIndicatorR
    property alias toggleButtonR: toggleButtonR

    ToggleButton {
        id: toggleButtonR
        x: parent.width/4-width/2
        y: 65
        width: 60
        height: 60
        text: qsTr("R")
        checked: false
    }

    StatusIndicator {
        id: statusIndicatorR
        x: parent.width/4-width/2
        y: 269
        active: false
    }

    ToggleButton {
        id: toggleButtonG
        x: parent.width/2-width/2
        y: 65
        width: 60
        height: 60
        text: qsTr("G")
    }

    ToggleButton {
        id: toggleButtonB
        x: 3*parent.width/4-width/2
        y: 65
        width: 60
        height: 60
        text: qsTr("B")
    }

    StatusIndicator {
        id: statusIndicatorG
        x: parent.width/2-width/2
        y: 269
        color: "#00ff00"
        active: false
    }

    StatusIndicator {
        id: statusIndicatorB
        x: 3*parent.width/4-width/2
        y: 269
        color: "#0000ff"
        active: false
    }
}
